-- test.ex
-- text output from the ox program
object cmd, result

include ox_lex.e
include ox_demo.e

oxInit()

while 1 do    

    -- prompt the user for input
    cmd = prompt_string( ">" )
    if integer( cmd ) then
        exit
    end if

    -- ox expects sequence of text lines
    cmd = {cmd}

    -- set the buffer
    oxLoadBuffer( "", cmd )

    -- parse
    result = oxParse( "Command" )

    -- error?
    if oxError then
        -- helpful error message
        puts( 1, "Enter 'help' for help.\n" )
    else
        -- show processing is complete
        puts( 1, "Ok\n" )
    end if


    -- unload the buffer
    oxUnloadBuffer()    
    
end while

