-- demo.ox
-- simple demo of ox program

[Syntax]
AbortOnError    = No

[Grammar]
Command =   Expr '<EOF>'
        {:  printf( 1, "%f\n", {$1} ) :}
                
        |   'help' '<EOF>'
        {:  puts( 1, "Enter a simple math expression.\n" )
            puts( 1, "Enter 'quit' to quit.\n" ) :}
                
        |   'quit' '<EOF>'
        {:  abort(0) :} 
        
        |   '<EOF>'
                        
Expr    =   '-' Expr
        {:  return -$2 :}
        
        |   NUM '+' Expr
        {:  return $1 + $3 :}
        
        |   NUM '-' Expr
        {:  return $1 - $3 :}
        
        |   NUM '*' Expr
        {:  return $1 * $3 :}
        
        |   NUM '/' Expr
        {:  return $1 / $3 :}
            
        |   '(' Expr ')'
        {:  return $2 :}

        |   NUM
        {:  return $1 :}
